<?xml version="1.0" encoding="UTF-8" ?>
<?oracle-xsl-mapper
  <!-- SPECIFICATION OF MAP SOURCES AND TARGETS, DO NOT MODIFY. -->
  <mapSources>
    <source type="WSDL">
      <schema location="oramds:/soa/shared/workflow/TaskServiceInterface.wsdl"/>
      <rootElement name="initiateTaskResponse" namespace="http://xmlns.oracle.com/bpel/workflow/taskService"/>
    </source>
    <source type="XSD">
      <schema location="../xsd/DoctorSick.xsd"/>
      <rootElement name="doctorSickNotification" namespace="http://stmatthews.hospital.com/events"/>
      <param name="initial.payload" />
    </source>
  </mapSources>
  <mapTargets>
    <target type="WSDL">
      <schema location="../WriteDoctorSickEventLog.wsdl"/>
      <rootElement name="DoctorSickEvents" namespace="http://stmatthews.hospital.com/events"/>
    </target>
  </mapTargets>
  <!-- GENERATED BY ORACLE XSL MAPPER 11.1.1.2.0(build 091103.1205.1216) AT [FRI JAN 15 00:29:35 CET 2010]. -->
?>
<xsl:stylesheet version="1.0"
                xmlns:bpws="http://schemas.xmlsoap.org/ws/2003/03/business-process/"
                xmlns:xpath20="http://www.oracle.com/XSL/Transform/java/oracle.tip.pc.services.functions.Xpath20"
                xmlns:ns4="http://xmlns.oracle.com/pcbpel/adapter/file/DoctorCalledInSickEvent/DoctorCalledInSickEvent/WriteDoctorSickEventLog"
                xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                xmlns:tsc="http://xmlns.oracle.com/bpel/workflow/common/tsc"
                xmlns:java="http://schemas.xmlsoap.org/wsdl/java/"
                xmlns:ns0="http://xmlns.oracle.com/bpel/workflow/common"
                xmlns:ns1="http://xmlns.oracle.com/bpel/workflow/TaskEvidenceService"
                xmlns:format="http://schemas.xmlsoap.org/wsdl/formatbinding/"
                xmlns:ns3="http://stmatthews.hospital.com/events"
                xmlns:plnk="http://schemas.xmlsoap.org/ws/2003/05/partner-link/"
                xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
                xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
                xmlns:ora="http://schemas.oracle.com/xpath/extension"
                xmlns:socket="http://www.oracle.com/XSL/Transform/java/oracle.tip.adapter.socket.ProtocolTranslator"
                xmlns:mhdr="http://www.oracle.com/XSL/Transform/java/oracle.tip.mediator.service.common.functions.MediatorExtnFunction"
                xmlns:oraext="http://www.oracle.com/XSL/Transform/java/oracle.tip.pc.services.functions.ExtFunc"
                xmlns:routingslip="http://xmlns.oracle.com/bpel/workflow/routingSlip"
                xmlns:dvm="http://www.oracle.com/XSL/Transform/java/oracle.tip.dvm.LookupValue"
                xmlns:ns2="http://xmlns.oracle.com/bpel/workflow/taskService/schema"
                xmlns:hwf="http://xmlns.oracle.com/bpel/workflow/xpath"
                xmlns:med="http://schemas.oracle.com/mediator/xpath"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:ids="http://xmlns.oracle.com/bpel/services/IdentityService/xpath"
                xmlns:xdk="http://schemas.oracle.com/bpel/extension/xpath/function/xdk"
                xmlns:xref="http://www.oracle.com/XSL/Transform/java/oracle.tip.xref.xpath.XRefXPathFunctions"
                xmlns:xsd="http://www.w3.org/2001/XMLSchema"
                xmlns:tns="http://xmlns.oracle.com/bpel/workflow/taskService"
                xmlns:task="http://xmlns.oracle.com/bpel/workflow/task"
                xmlns:ldap="http://schemas.oracle.com/xpath/extension/ldap"
                exclude-result-prefixes="xsi xsl bpws tsc java ns0 ns1 format ns3 plnk soap routingslip ns2 xsd tns task ns4 wsdl bpws xpath20 ora socket mhdr oraext dvm hwf med ids xdk xref ldap">
  <xsl:param name="initial.payload"/>
  <xsl:template match="/">
    <ns3:DoctorSickEvents>
      <ns3:DoctorSickEvent>
        <ns3:eventTimestamp>
          <xsl:value-of select="xpath20:current-dateTime()"/>
        </ns3:eventTimestamp>
        <ns3:doctorId>
          <xsl:value-of select="$initial.payload/ns3:doctorSickNotification/ns3:doctorId"/>
        </ns3:doctorId>
        <ns3:doctorName>
          <xsl:value-of select="$initial.payload/ns3:doctorSickNotification/ns3:doctorName"/>
        </ns3:doctorName>
        <ns3:comments>
          <xsl:value-of select="$initial.payload/ns3:doctorSickNotification/ns3:comment"/>
        </ns3:comments>
        <ns3:dateAsOfSick>
          <xsl:value-of select="$initial.payload/ns3:doctorSickNotification/ns3:asOfDate"/>
        </ns3:dateAsOfSick>
        <ns3:taskId>
          <xsl:value-of select="/tns:initiateTaskResponse/task:task/task:systemAttributes/task:taskId"/>
        </ns3:taskId>
        <ns3:taskAssignee>
          <xsl:value-of select="/tns:initiateTaskResponse/task:task/task:systemAttributes/task:assigneeGroups/task:displayName"/>
        </ns3:taskAssignee>
      </ns3:DoctorSickEvent>
    </ns3:DoctorSickEvents>
  </xsl:template>
</xsl:stylesheet>
